---
lang: en
title: 'API docs: core.component.classes'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.component.classes.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Component](./core.component.md) &gt; [classes](./core.component.classes.md)

## Component.classes property

A map of classes to be bound to the application context.

**Signature:**

```typescript
classes?: ClassMap;
```

## Example


```ts
{
  'rest.body-parsers.xml': XmlBodyParser
}
```


